xquery version "3.1";

(:
 : Ressourcen:
 : /db/apps/sade/textgrid/data/kmg/Mollenhauer-1969.xml
 : /db/apps/sade/textgrid/data/kmg/Mollenhauer-1988.xml
 :)

(:  
 : declare namespace tei="http://www.tei-c.org/ns/1.0";
 : declare namespace xhtml="http://www.w3.org/1999/xhtml";
 :)

import module namespace bdn-utils="http://bdn-edition.de/ns/utils" at "utils.xqm";
import module namespace ifweb="http://bdn-edition.de/intermediate_format/ifweb" at "/db/apps/interformat/modules/intermediate_format/ifweb.xql";
import module namespace xml-utils="http://bdn-edition.de/portal/xml-utils" at "/db/apps/sade/modules/bdn/xml-utils.xqm ";
import module namespace bdn-odd="http://bdn-edition.de/ns/odd" at "schema.xqm";

(: odd to HTML :)
let $odd := bdn-odd:main()
 
for $text in collection("/db/apps/sade/textgrid/data/kmg")
let $filename := util:document-name($text)
let $log := bdn-utils:create-log("Mollenhauer3")
let $if := ifweb:transform($text, $filename, "/db/apps/sade/resources/edition/single-files/xml/kmg/")
let $single := xml-utils:make-html-single-view($if, $filename, $log)
let $critical := xml-utils:make-html-critical-view($if, $filename, $log)
let $digital := xml-utils:make-html-digital-view($if, $filename, $log)
return
    $single


(: 
 :   declare function local:get-all-titles
 :           () as node()* {
 :           let $texte := collection("/db/apps/sade/textgrid/data/kmg")
 :           for $title in data($texte//tei:title[@type="main"])
 :           return
 :               $title
 :   };
 :)
